#!/bin/sh
# Script to demonstrate unattended test of Windows installers
# Requires autoit; see http://www.autoitscript.com/
# (Another interesting site is http://unattended.sf.net/installers.php )
# dank@kegel.com 30 Jul 2006

set -ex
topdir=`pwd`
wine="$HOME/wine-git/wine"
drive_c="$HOME/.wine/drive_c"
autoit="$drive_c/Program Files/AutoIt3/autoit3.exe"

mkdir -p demodir
cd demodir

# Download
if test ! -f jdk-1_5_0_07-windows-i586-p.exe
then
   echo You must download the jdk manually at 
   echo http://java.sun.com/javase/downloads/index.jsp
   echo "Choose JDK 5.0 Update 7 for Windows (*without* Netbeans or J2EE)"
   exit 1
fi

#sha1sum jdk-1_5_0_07-windows-i586-p.exe

# Verify download
echo "45052398b64db5f4e5a5c546cfbbc9a6e9fe1670  jdk-1_5_0_07-windows-i586-p.exe" | sha1sum -c -

# Install
$wine "$autoit" ../jdk150-07.au3

# Verify install against checksum file created on a Windows system
cd "$drive_c"
sha1sum -c "$topdir/jdk150-07.sum"

echo app installed ok
